iqpuzzle (1.4.2-1) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Mon, 21 Apr 2025 03:04:57 +0000

iqpuzzle (1.4.2-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Update Chinese (zh_CN, zh_TW) translation - thanks to liulitchi!

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 02 Mar 2025 14:59:00 +0200

iqpuzzle (1.4.1-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Enabled modifier keys on the first mouse button - thanks to spillner!

 -- Thorsten Roth <elthoro@gmx.de>  Fri, 08 Nov 2024 05:22:00 +0200

iqpuzzle (1.4.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Add more than 50 new boards
  * Add Russian translation - thanks to cheelp!
  * Some visual bug fixes

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 31 Aug 2024 15:10:00 +0200

iqpuzzle (1.3.1-1) unstable; urgency=low

  [ Thorsten Roth ]
  * Fix v1.3.0 packaging issue, which prevented the release on some channels
  * Add extended board selection dialog
  * Bundle light/dark icons
  * Update application icon
  * Add Cmake support
  * Linux packaging fixes: AppId, metainfo
  * Add support for dark scheme on Windows with Qt 6.5

 -- Thorsten Roth <elthoro@gmx.de>  Wed, 01 May 2024 14:57:00 +0200

iqpuzzle (1.3.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Add extended board selection dialog
  * Bundle light/dark icons
  * Update application icon
  * Add Cmake support
  * Linux packaging fixes: AppId, metainfo
  * Add support for dark scheme on Windows with Qt 6.5

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 21 Apr 2024 14:36:00 +0200

iqpuzzle (1.2.9-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Add Portuguese pt and pt_BR translation (thanks to UchidoF)

 -- Thorsten Roth <elthoro@gmx.de>  Thu, 09 Feb 2023 17:42:00 +0200

iqpuzzle (1.2.8-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Add Chinese zh_TW translation (thanks to liulitchi)

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 10 Dec 2022 10:50:00 +0200

iqpuzzle (1.2.7-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Add Greek translation (thanks to liulitchi)

 -- Thorsten Roth <elthoro@gmx.de>  Mon, 14 Nov 2022 19:55:00 +0200

iqpuzzle (1.2.6-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Add Chinese zh_CN translation (thanks to liulitchi)
  * Add Italian man page and fix for translation (thanks to davi92)

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 12 Feb 2022 16:40:00 +0200
 
iqpuzzle (1.2.5-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Add Norwegian translation (thanks to Allan Nordhoy)
  * Update Italian translation (thanks to albanobattistella)

 -- Thorsten Roth <elthoro@gmx.de>  Thu, 03 Jun 2021 14:21:00 +0200

iqpuzzle (1.2.4-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Add support for Qt 6
  * Fix disappearing block borders

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 24 Apr 2021 14:18:00 +0200

iqpuzzle (1.2.3-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Updated Dutch translation (thanks to Vistaus).

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 20 Mar 2021 15:09:00 +0200

iqpuzzle (1.2.2-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Fix for oddities barrier color if system background color is used.
  * Packaging fixes.

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 06 Mar 2021 15:50:00 +0200

iqpuzzle (1.2.1-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Fix crash during unsolved boards list update
  * Fix background color on pause screen if system BG color is used
  * Fixes for Qt 5.15
  * Some Clazy code improvements.

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 29 Nov 2020 16:28:00 +0200

iqpuzzle (1.2.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * 21 new boards.
  * Option to use system window background color as board background.
  * Fix restarting a saved game.
  * Some Clang-Tidy and Clazy code improvements.

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 15 Mar 2020 16:23:00 +0200

iqpuzzle (1.1.5-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Added Korean translation (thanks to hyuna1127)
  * Add save game file extension automatically.

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 27 Oct 2019 16:33:00 +0200

iqpuzzle (1.1.4-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Save/load relative board path (needed for AppImage)
  * Dropped support for Qt4

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 19 Oct 2019 15:24:00 +0200

iqpuzzle (1.1.3-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Added Italian translation (thanks to davi92)

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 29 Sep 2019 15:55:00 +0200

iqpuzzle (1.1.2-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Official build for ReactOS and AUR.
  * Minor code improvements.

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 17 Aug 2019 17:40:00 +0200

iqpuzzle (1.1.1-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Updated Dutch translation (thanks to Vistaus).
  * Added freestyle board.
  * Fix: Keep zoom level while board restart.
  * Some code improvements.

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 06 May 2018 17:03:00 +0200

iqpuzzle (1.1.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Start random un-/solved easy/medium/hard game.
  * Added freestyle mode.
  * Added statistics.
  * Improved window resize.
  * Added many new boards.
  * Start game through cmd.
  * Updated French translation (thanks to kiarn).
  * Embedded translations into game resource.

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 07 Jan 2018 18:07:00 +0200

iqpuzzle (1.0.7-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Added French translation (thanks to kiarn and mothsART).

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 12 Aug 2017 17:46:00 +0200

iqpuzzle (1.0.6-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Updated Dutch translation (thanks to Elbert).

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 06 May 2017 17:42:00 +0200

iqpuzzle (1.0.5-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Moved project to GitHub (exchanged URLs).

 -- Thorsten Roth <elthoro@gmx.de>  Wed, 03 May 2017 15:51:00 +0200

iqpuzzle (1.0.4-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Fixed invalid board polygons.
  * Added fallback menu icons.

 -- Thorsten Roth <elthoro@gmx.de>  Tue, 03 Jan 2017 22:23:00 +0200

iqpuzzle (1.0.3-1) unstable; urgency=low

  [ Thorsten Roth ]
  * Added Dutch translation (thanks to Elbert)
  * Fixed: Starting board from command line.
  * Fixed: Bring blocks to foreground during rescale.
  * Improved board file validation.
  * Change gui language without restarting the game.

 -- Thorsten Roth <elthoro@gmx.de>  Mon, 02 Jan 2017 16:57:00 +0200

iqpuzzle (1.0.2-1) unstable; urgency=low

  [ Thorsten Roth ]
  * Lintian packaging fixes.

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 06 Nov 2016 13:49:00 +0200

iqpuzzle (1.0.1-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Added resources for OS/2; thanks to Gianfilippo!
  * Improved settings dialog (check for using button multiple times)

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 05 Nov 2016 15:17:00 +0200

iqpuzzle (1.0.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Start random game.
  * Guess user name for highscore.
  * Many new boards.
  * Install into /usr/bin instead of /usr/games
  * Simple collision check after rotation/flip.
  * Removed fixed window size.
  * Bugfix: Disable save when game solved. MSVC compiler issue.

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 23 Oct 2016 15:36:00 +0200

iqpuzzle (0.9.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Added settings dialog; mouse buttons (LP: #1365568); GUI language.
  * Added Bulgarian translation (thanks to bogo1966)
  * Bug fix: Highscore
  * Bug fix: Wrongly solved, if piece intersects board and not all pcs needed.
  * Added new boards.

 -- Thorsten Roth <elthoro@gmx.de>  Wed, 13 May 2015 23:47:00 +0200

iqpuzzle (0.8.1-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Fixed translations and XPM icon file.

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 30 Aug 2014 18:26:00 +0200

iqpuzzle (0.8.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Added highscore.
  * Added new boards.

 -- Thorsten Roth <elthoro@gmx.de>  Fri, 29 Aug 2014 19:52:00 +0200

iqpuzzle (0.7.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Added timer and moves counter.
  * Lintian fixes.
  * Added new boards.

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 27 Jul 2014 19:57:00 +0200

iqpuzzle (0.6.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Added save/load game option (LP: #1338269)
  * Added new boards.

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 12 Jul 2014 23:18:00 +0200

iqpuzzle (0.5.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Automatic check, if puzzle is solved (LP: #1320957)
  * Added new boards.

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 06 Jul 2014 20:11:00 +0200

iqpuzzle (0.4.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Added preview to load board dialog.
  * Added new boards.

 -- Thorsten Roth <elthoro@gmx.de>  Fri, 06 Jun 2014 14:57:00 +0200

iqpuzzle (0.3.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Added gui translation.
  * Corrected block position after flip/rotate.
  * Corrected board path.
  * Added new board and possibility for barriers.

 -- Thorsten Roth <elthoro@gmx.de>  Mon, 19 May 2014 16:34:00 +0200

iqpuzzle (0.2.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Load board via command line.
  * Define color as hex.
  * Added new board.

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 18 May 2014 19:23:00 +0200

iqpuzzle (0.1.0-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Load board file dialog.
  * Added CBoard class.
  * Minor collsion check correction.

 -- Thorsten Roth <elthoro@gmx.de>  Sat, 17 May 2014 22:00:51 +0200

iqpuzzle (0.0.1-0) unstable; urgency=low

  [ Thorsten Roth ]
  * Define board as polygon.
  * Support for Qt 4 and Qt 5.
  * Code reconstructions, rewritten collision detection.
  * Initial changelog.

 -- Thorsten Roth <elthoro@gmx.de>  Sun, 04 May 2014 19:02:00 +0200
